package com.tzld.longarticle.recommend.server.common;

import com.ctrip.framework.apollo.openapi.client.ApolloOpenApiClient;
import com.ctrip.framework.apollo.openapi.dto.NamespaceReleaseDTO;
import com.ctrip.framework.apollo.openapi.dto.OpenItemDTO;
import com.tzld.longarticle.recommend.server.util.DateUtils;

public class ApolloConfigModifier {

    public static void modifyConfig(String key, String value, String env) {
        // 1. Apollo OpenAPI 客户端配置
        ApolloOpenApiClient client = ApolloOpenApiClient.newBuilder()
                .withPortalUrl("http://apolloportal-internal.piaoquantv.com/")
                .withToken("a3234bae4cd0eab36be8107a13106d4a8c04f895")
                .build();

        // 2. 定义修改参数
        String appId = "longarticle-recommend";
        String clusterName = "default";
        String namespace = "application";

        // 3. 创建配置项
        OpenItemDTO item = new OpenItemDTO();
        item.setKey(key);
        item.setValue(value);
        item.setDataChangeCreatedBy("wangyunpeng");

        // 4. 调用 API 更新配置
        client.createOrUpdateItem(appId, env, clusterName, namespace, item);

        // 5. 发布配置
        NamespaceReleaseDTO releaseDTO = new NamespaceReleaseDTO();
        releaseDTO.setReleaseTitle(DateUtils.getCurrentDateStr("yyyyMMddHHmmss") + "-release");
        releaseDTO.setReleaseComment("Release Comment");
        releaseDTO.setReleasedBy("wangyunpeng");
        client.publishNamespace(appId, env, clusterName, namespace, releaseDTO);
        System.out.println("配置已修改并发布成功！");
    }
}
