package com.tzld.longarticle.recommend.server.common.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum VideoAuditTypeEnum {
    PQ(1, "票圈审核"),
    COVER(2, "封面检查"),

    other(999, "其他"),
    ;

    // 审核类型 1-票圈审核 2-封面检查
    private final Integer type;
    private final String description;

    VideoAuditTypeEnum(Integer type, String description) {
        this.type = type;
        this.description = description;
    }

    public static VideoAuditTypeEnum from(Integer type) {
        for (VideoAuditTypeEnum typeEnum : VideoAuditTypeEnum.values()) {
            if (Objects.equals(typeEnum.type, type)) {
                return typeEnum;
            }
        }
        return other;
    }
}
