package com.tzld.longarticle.recommend.server.common.enums.aigc;

import lombok.Getter;

/**
 * @description：抓取模式
 * @author： TanJingyu
 * @create：2023-10-09 16:39:29
 **/
@Getter
public enum CrawlerModeEnum {
    DesignatedBlogger(1, "指定博主"),
    CategoryBlogger(2, "分类博主"),
    RecommendedBlogger(3, "推荐流博主"),
    Account(4, "账号"),
    ContentIDs(5, "内容IDs"),
    KeywordSearch(6, "关键词搜索"),
    HotList(7, "热榜"),
    Recommended(8, "推荐"),
    ImageSearch(9, "图片搜索"),
    AlgorithmRecommended(10, "算法推荐"),
    BloggerList(11, "博主榜单"),
    RankList(12, "榜单"),
    RelRecommended(13, "相关推荐"),

    PublishContentIds(101, "Aigc发布内容Id"),

    Other(999, "其他");

    private final int val;
    private final String description;

    CrawlerModeEnum(int val, String description) {
        this.val = val;
        this.description = description;
    }

    public static CrawlerModeEnum from(int val) {
        for (CrawlerModeEnum typeEnum : CrawlerModeEnum.values()) {
            if (typeEnum.getVal() == val) {
                return typeEnum;
            }
        }

        return Other;
    }
}
