package com.tzld.longarticle.recommend.server.common.enums.aigc;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum PublishContentStatusEnum {
    not_publish(0, "未发布"),
    waiting_publish(1, "待发布"),
    published(2, "已发布"),
    no_publish(3, "不发布"),
    publishing(4, "发布中"),
    publish_fail(5, "发布失败"),
    platformReview(6, "平台审核中"),
    input_delete(7, "输入删除"),
    input_deprecated(8, "输入废弃"),
    other(999, "其他"),
    ;

    private final Integer val;
    private final String description;

    PublishContentStatusEnum(Integer val, String description) {
        this.val = val;
        this.description = description;
    }

    public static PublishContentStatusEnum from(Integer val) {
        for (PublishContentStatusEnum statusEnum : PublishContentStatusEnum.values()) {
            if (Objects.equals(statusEnum.val, val)) {
                return statusEnum;
            }
        }
        return other;
    }

}
