package com.tzld.longarticle.recommend.server.common.enums.aigc;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum PublishContentTypeEnum {
    cover(1, "封面"),
    image(2, "图片"),
    title(3, "标题"),
    bodyText(4, "正文"),
    animation(5, "动效"),
    video(6, "视频"),
    textLetter(7, "文本私信"),
    imageLetter(8, "图片私信"),
    noteLetter(9, "笔记私信"),
    textComment(10, "文本评论"),
    imageComment(11, "图片评论"),
    commentId(12, "动作对象为评论，被评论/被删除的/被点赞的评论ID"),
    contentStageId(13, "动作对象为内容，被评论的/被隐藏的/被删除的/被修改的内容的三方平台ID"),
    receiverUserPlatformId(14, "动作对象为用户，动作接收人三方平台用户ID"),
    actionAccountId(15, "动作账号ID"),
    other(999, "其他"),
    ;

    private final Integer val;
    private final String description;

    PublishContentTypeEnum(Integer val, String description) {
        this.val = val;
        this.description = description;
    }

    public static PublishContentTypeEnum from(Integer val) {
        for (PublishContentTypeEnum statusEnum : PublishContentTypeEnum.values()) {
            if (Objects.equals(statusEnum.val, val)) {
                return statusEnum;
            }
        }
        return other;
    }
}
