package com.tzld.longarticle.recommend.server.common.enums.cgi;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum PQVideoSensitiveLevelEnum {
    NOT_CHECK(-1, "未检测"),
    NORMAL(0, "正常"),
    LOW_SENSITIVE(1, "初级敏感"),
    MID_SENSITIVE(2, "中级敏感"),
    HIGH_SENSITIVE(3, "严重敏感"),

    other(999, "其他"),
    ;
    // -1 未检测 0 正常 1 初级敏感 2中级敏感 3 严重敏感
    private final Integer level;
    private final String description;

    PQVideoSensitiveLevelEnum(Integer level, String description) {
        this.level = level;
        this.description = description;
    }

    public static PQVideoSensitiveLevelEnum from(Integer level) {
        for (PQVideoSensitiveLevelEnum levelEnum : PQVideoSensitiveLevelEnum.values()) {
            if (Objects.equals(levelEnum.level, level)) {
                return levelEnum;
            }
        }
        return other;
    }
}
