package com.tzld.longarticle.recommend.server.common.enums.recommend;

import lombok.Getter;

@Getter
public enum ArticleCategoryStatusEnum {

    WAITING(0, "待分类"),
    PROCESS(1, "执行中"),
    SUCCESS(2, "成功"),
    FAIL(3, "失败"),
    ;

    //状态（0-待分类 1-执行中 2-成功 3-失败）
    private int code;
    private String msg;

    ArticleCategoryStatusEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ArticleCategoryStatusEnum getByCode(int code) {
        for (ArticleCategoryStatusEnum statusEnum : ArticleCategoryStatusEnum.values()) {
            if (statusEnum.getCode() == code) {
                return statusEnum;
            }
        }
        return null;
    }
}
