package com.tzld.longarticle.recommend.server.common.enums.recommend;

import lombok.Getter;

@Getter
public enum ArticleMatchContentStatusEnum {
    PROCESSING_STATUS(101, "任务处理中"),
    INIT_STATUS(0, "任务初始化状态"),
    KIMI_FINISHED_STATUS(1, "Kimi 执行完成状态"),
    SPIDER_FINISHED_STATUS(2, "爬虫执行完成状态"),
    ETL_COMPLETE_STATUS(3, "任务视频ETL 完成状态"),
    PUBLISHED_STATUS(4, "任务发布完成状态"),
    MISMATCH_STATUS(96, "文章品类不匹配"),
    EXIT_STATUS(97, "文章已经退场 or 晋级"),
    FAIL_STATUS(99, "失败"),
    ;

    private Integer code;
    private String desc;

    ArticleMatchContentStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static ArticleMatchContentStatusEnum from(Integer code) {
        for (ArticleMatchContentStatusEnum status : ArticleMatchContentStatusEnum.values()) {
            if (status.getCode().equals(code)) {
                return status;
            }
        }
        return null;
    }

}
