package com.tzld.longarticle.recommend.server.common.enums.recommend;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum FeishuRobotIdEnum {
    RECOMMEND("长文排序报警群", "07026a9f-43f5-448b-ba40-a8d71bd6e634"),
    JOB("定时任务报警群", "186c9798-5b6a-4ff8-b7fc-4ce4b6ea5076"),
    DAILY("长文每日更新报警群", "b44333f2-16c0-4cb1-af01-d135f8704410"),
    ARTICLE_DELETE("文章删除报警群", "2262caec-3f52-4a93-9fa5-da2382a21482"),
    ARTICLE_SAFE_AUDIT("长文内容安全审核群", "ea26981a-cf97-4eeb-b1e8-1c4a9f895090"),

    TEST("test", "eb781adb-066a-455b-88a2-57b4f7bb5082"),

    ;

    private final String groupName;
    private final String robotId;


    FeishuRobotIdEnum(String groupName, String robotId) {
        this.groupName = groupName;
        this.robotId = robotId;
    }

    public static FeishuRobotIdEnum from(String groupName) {
        for (FeishuRobotIdEnum robotEnum : FeishuRobotIdEnum.values()) {
            if (Objects.equals(robotEnum.groupName, groupName)) {
                return robotEnum;
            }
        }
        return RECOMMEND;
    }
}
