package com.tzld.longarticle.recommend.server.common.response;


import static com.tzld.longarticle.recommend.server.common.response.ErrcodeNamespace.NS_GENERAL;

public enum ExceptionCodeEnum {

  LOGIN_ERROR(NS_GENERAL, -999, "用户未登录"),
  ACCOUNT_FREEZE(NS_GENERAL, -888, "账户被锁定"),
  SYS_ERROR(NS_GENERAL, -111, "系统异常"),
  PARAM_ERROR(NS_GENERAL, -990, "参数错误"),
  WX_GET_ACCESS_TOKEN(NS_GENERAL, -995, "获取线上的微信accessToken失败"),
  WX_GET_OPENID_ERROR(NS_GENERAL,-992,"微信用户获取OPENID出错"),

  VIDEO_NOTEXIST(NS_GENERAL, 1, "视频不存在"),
  DATA_ERROR(NS_GENERAL, 2, "数据不匹配"),
  USER_NOTEXIST(NS_GENERAL, 3, "用户不存在"),
  PAPAM_ERROR(NS_GENERAL, 4, "参数不对"),
  ACCOUNT_EXIST(NS_GENERAL, 5, "账号已被占用"),
  PASSWORD_ERROR(NS_GENERAL, 6, "密码不准确"),
  DATA_NOTEXIST(NS_GENERAL, 7, "数据不匹配"),
  MENU_EXIST(NS_GENERAL, 8, "菜单标示已存在"),
  MENU_NOTEXIST(NS_GENERAL, 9, "菜单不存在"),
  NOT_lOGIN(NS_GENERAL, 10, "未登录"),
  KAIYAN_VIDEO_SEND(NS_GENERAL, 11, "开眼视频已经发过"),

  MONITORING_ALARM_CONFIG_NOT_EXIST(NS_GENERAL, 12, "数据库容量告警手机号码未配置"),

  OPERAATION_FAIL(NS_GENERAL, 13, "操作失败"),

  PUSH_MSG_CANNT_UPDATE(NS_GENERAL,14,"立即推送的信息不能修改"),
  PUSH_MSG_CANNT_DELETE(NS_GENERAL,15,"立即推送的信息不能撤销"),
  SEND_PUSH_MSG_CANNT_UPDATE(NS_GENERAL,16,"已推送的信息不能修改"),
  PUSH_TARGET_NOTEXIST(NS_GENERAL,17,"没有找到推送目标的绑定设备"),
  PUSH_PLATFORM_ERROR(NS_GENERAL,18,"推送平台错误"),
  PUSH_SCHEDULE_ERROR(NS_GENERAL,19,"定时推送时间必须大于当前时间"),

  DATA_REPORT_TYPE_NOT_EXISTS(NS_GENERAL,20,"对应的报表不存在"),
  DATA_REPORT_PARAM_NOT_EXISTS(NS_GENERAL,21,"报表扩展参数有缺失"),
  NOTEXAMINEVIDEO_CONFIG_NOT_EXIST(NS_GENERAL, 23, "未审核的视频数手机号码未配置"),
  SENSITIVE_WORD_EXISTS(NS_GENERAL,22,"该词已存在"),
  USERPROHIBITION_NOTEXIST(NS_GENERAL, 24, "封禁类型或者标示不存在"),

  VERSION_CONTROLLER_DEFAULT_CONFIG(NS_GENERAL, 25, "没有默认配置，请联系管理员直接添加。"),
  CONFIG_EXIST(NS_GENERAL, 26, "该版本配置已存在，不能重复添加。"),

  BARRAGE_UP_VSIBILITY(NS_GENERAL, 27, "不能操作弹幕UP主删除"),
  BARRAGE_TIME_ERROR(NS_GENERAL, 28, "视频时间不能为0"),
  VIDEO_AUDITTRANSCATIONID_NOT_NEW(NS_GENERAL, 29, "视频审核ID不是最新"),
  VIDEO_IS_DELETE(NS_GENERAL, 30, "视频已被用户删除"),
  VIDEO_NOT_NOAML(NS_GENERAL, 29, "视频不是正常可见的"),
  VIDEO_SHOULD_UNFREEZE(NS_GENERAL, 31, "请先解冻视频"),

  AD_ALGO_THRESHOLD_PUSH_UPDATE_ERROR(NS_GENERAL, 32, "更新远程广告算法阈值失败"),


  VIDEO_CONTENT_SENSITIVE_MATCH(NS_GENERAL,1015,"输入内容包含违禁词汇，请修改"),
  VIDEO_TITLE_SENSITIVE_MATCH(NS_GENERAL,1016,"输入标题包含违禁词汇，请修改"),
  VIDEO_RECOMMEND_TITLE_SENSITIVE_MATCH(NS_GENERAL,1017,"输入分发标题包含违禁词汇，请修改"),

  CANNOT_GET_LOCK(NS_GENERAL, 3001,"已有相同操作在进行"),
  COMMENT_NOT_EXIST(NS_GENERAL, 3002,"评论不存在"),
  COMMENT_IS_DELETE(NS_GENERAL, 3003,"评论已经删除存在"),

  VIDEO_MEASURE_PROCEEDING(NS_GENERAL, 4000,"此视频正在曝光池中"),
  VIDEO_NOT_TAG(NS_GENERAL, 4001, "视频没有标签"),
  RECOMMENT_PARAM_INDEX_ERROR(NS_GENERAL, 4002, "推荐配置的限制个数和位置个数对应不上"),
  RECOMMENT_PARAM_SCORE_ERROR(NS_GENERAL, 4003, "分数设置不对"),
  VIDEO_UNRECOMMEND(NS_GENERAL, 4002, "待推荐视频不能加入曝光池"),

  TAG_NAME_IS_UNUSED(NS_GENERAL, 5001,"同名视频标签%s不存在"),
  MAJIAHAO_IS_ALL_USED(NS_GENERAL, 5001,"马甲号已全部用完"),

  SECOND_CATEGORY_IS_NULL(NS_GENERAL, 6002,"二级分类不能为空"),
  PARENT_CATEGORY_IS_NULL(NS_GENERAL, 6001,"一级分类不能为空"),

  CANNOT_REVOCER_UNDELETED_VIDEO(NS_GENERAL, 7001, "不能恢复未删除的视频"),
  CANNOT_REVOCER_DELETED_FILENOTFIND_VIDEO(NS_GENERAL, 7002, "视频文件已经被迁移，请先恢复文件后再恢复视频"),

  VIDEO_AUDIT_PERMISSION_DENIED(NS_GENERAL, 8001, "你没有修改视频审核状态的权限"),
  CAN_NOT_FETCHTASK_FOR_NOT_ONDUTY(NS_GENERAL, 8002, "你已经下班了，无法分配审核任务"),

  DELOGO_VIDEO_NOT_EXISTS(NS_GENERAL, 8003, "去视频视频不存在"),
  DELOGO_VIDEO_AUDIT_ERROR(NS_GENERAL, 8004, "已转码成功的视频不能改成审核不通过"),
  DELOGO_VIDEO_AUDIT_WRONG(NS_GENERAL, 8004, "已审核通过且已发起转码的视频不能改成审核不通过"),
  VIDEO_NOT_SLICE(NS_GENERAL, 8005, "不可搜视频不能分剪"),
  VIDEO_SLICE_EXISTS(NS_GENERAL, 8006, "视频分剪已存在"),
  MUSIC_NOT_EXISTS(NS_GENERAL, 8007, "音乐素材不存在"),
  MUSIC_CATE_EXISTS(NS_GENERAL, 8008, "音乐素材分类已存在"),
  MUSIC_CRAWER_NOT_EDIT(NS_GENERAL, 8009, "音乐爬取素材不能编辑"),
  MUSIC_HOT_NOT_DELETE(NS_GENERAL, 8010, "热门音乐不能被删除"),

  VIDEO_CROP_PROCESSING(NS_GENERAL, 9001, "该视频有正在处理中的剪切任务"),


  AD_POSITION_FLOW_CONTROL_OVERFLOW(NS_GENERAL, 1001, "该广告位下流量控制不能大于 100%"),
  INVOKE_VIDEO_API_WEAPP_URLLINK_ERROR(NS_GENERAL, 1002, "调用 video api 获取小程序 URL Link 失败"),
  INVOKE_INCENTIVE_API_ERROR(NS_GENERAL, 1003, "调用激励服务失败"),
  ADCAMPAIGN_REPEAT_ERROR(NS_GENERAL, -1, "名称重复，请修改"),
  ADCAMPAIGN_RUNNING_DELETE_ERROR(NS_GENERAL, -1, "计划启用中，不能删除"),
  ADAD_RUNNING_DELETE_ERROR(NS_GENERAL, -1, "广告启用中，不能删除"),
  ADAD_HAS_CREATIVE_DELETE_ERROR(NS_GENERAL, -1, "广告下存在绑定创意，请删除对应创意后操作删除广告"),
  ADCREATIVE_RUNNING_DELETE_ERROR(NS_GENERAL, -1, "创意启用中，不能删除"),
  GET_AGENT_ERROR(NS_GENERAL, -1, "获取agent错误"),
  DELETE_ADVERTISER_ERROR(NS_GENERAL, -1, "该广告主下绑定有计划，不能删除"),
  OPERATE_ADVERTISER_ERROR(NS_GENERAL, -1, "该代理商下没有该广告主，不能操作"),
  DELETE_CAMPAIGN_ERROR(NS_GENERAL, -1, "该计划下绑定广告投放中，不能删除"),
  ADCAMPAIGN_HAS_AD_DELETE_ERROR(NS_GENERAL, -1, "该计划下存在绑定广告，请删除对应广告后操作删除计划"),
  PHONE_EXIST(NS_GENERAL, 10001, "手机号已存在"),

  NO_AD(NS_GENERAL, 11001, "无分发激励广告")
  ;


  ExceptionCodeEnum(String namespace, int code, String msg) {
    this.code = code;
    this.msg = msg;
    this.namespace = namespace;
  }
  private int code;
  private String msg;
  private String namespace;

  public int getCode() {
    return code;
  }

  public void setCode(int code) {
    this.code = code;
  }

  public String getMsg() {
    return msg;
  }

  public void setMsg(String msg) {
    this.msg = msg;
  }

  public String getNamespace() {
    return namespace;
  }

  public void setNamespace(String namespace) {
    this.namespace = namespace;
  }

  @Override
  public String toString() {
    return String.format("[code=%s, msg=%s]", this.code, this.msg);
  }

}
