package com.tzld.longarticle.recommend.server.config;


import org.apache.catalina.connector.Connector;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.web.embedded.tomcat.TomcatServletWebServerFactory;
import org.springframework.boot.web.server.WebServerFactoryCustomizer;
import org.springframework.context.annotation.Configuration;

@Configuration
public class ManagementServiceConfiguration implements WebServerFactoryCustomizer<TomcatServletWebServerFactory> {
    @Value("${server.internal-port:8081}")
    private Integer port;

    @Override
    public void customize(TomcatServletWebServerFactory factory) {
        Connector connector = new Connector("org.apache.coyote.http11.Http11NioProtocol");
        connector.setScheme("http");
        connector.setPort(port);
        factory.addAdditionalTomcatConnectors(connector);
    }
}
