package com.tzld.longarticle.recommend.server.config.mybatis;

import org.apache.ibatis.session.SqlSessionFactory;
import org.mybatis.spring.SqlSessionFactoryBean;
import org.mybatis.spring.SqlSessionTemplate;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.core.io.support.PathMatchingResourcePatternResolver;

import javax.sql.DataSource;

@Configuration
@MapperScan(basePackages = "com.tzld.longarticle.recommend.server.mapper.growth",
        sqlSessionFactoryRef = "growthSqlSessionFactory")
public class GrowthMybatisConfig {

    @Primary
    @Bean(name = "growthSqlSessionFactory")
    public SqlSessionFactory crawlerSqlSessionFactory(@Qualifier("growthDataSource") DataSource dataSource) throws Exception {
        SqlSessionFactoryBean sessionFactory = new SqlSessionFactoryBean();
        sessionFactory.setDataSource(dataSource);
        sessionFactory.setMapperLocations(new PathMatchingResourcePatternResolver()
                .getResources("classpath*:mapper/**/*.xml"));
        sessionFactory.setTypeAliasesPackage("com.tzld.longarticle.recommend.server");
        sessionFactory.getObject().getConfiguration().setMapUnderscoreToCamelCase(true);
        sessionFactory.getObject().getConfiguration().setUseGeneratedKeys(true);
        return sessionFactory.getObject();
    }

    @Primary
    @Bean(name = "growthSqlSessionTemplate")
    public SqlSessionTemplate crawlerSqlSessionTemplate(@Qualifier("growthSqlSessionFactory") SqlSessionFactory sqlSessionFactory) {
        return new SqlSessionTemplate(sqlSessionFactory);
    }
}
