package com.tzld.longarticle.recommend.server.mapper.crawler;

import com.tzld.longarticle.recommend.server.model.dto.ArticleMatchVideos;
import com.tzld.longarticle.recommend.server.model.dto.GetOffVideos;
import com.tzld.longarticle.recommend.server.model.dto.LongArticlesVideoDTO;
import com.tzld.longarticle.recommend.server.model.entity.crawler.AccountAvgInfo;
import com.tzld.longarticle.recommend.server.model.entity.crawler.AccountCorrelation;
import com.tzld.longarticle.recommend.server.model.entity.crawler.ArticleDetailInfo;
import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticlesRootSourceId;
import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticlesText;

import java.util.List;
import java.util.Set;

public interface CrawlerBaseMapper {

    void batchInsertAccountCorrelation(List<AccountCorrelation> list);

    void batchInsertAccountAvgInfo(List<AccountAvgInfo> list);

    void deleteAccountAvgInfoByGhIdAndUpdateTime(String ghId, String date);

    void updateAccountAvgInfoStatus(String ghId, String date);

    Integer countGetOffVideos();

    List<GetOffVideos> pageGetOffVideos(int offset, int pageSize);

    Integer countLongArticlesRootSourceId();

    List<LongArticlesRootSourceId> pageLongArticlesRootSourceId(int offset, int pageSize);

    Integer countArticleMatchVideos();

    List<ArticleMatchVideos> pageArticleMatchVideos();

    Integer countLongArticlesVideos();

    List<LongArticlesVideoDTO> pageLongArticlesVideos(long id, int pageSize);

    List<LongArticlesText> getLongArticlesText();

    List<LongArticlesVideoDTO> getLongArticlesVideo(List<String> traceIds);

    List<ArticleDetailInfo> getAllByWxSnIn(List<String> wxSnList);

    List<AccountAvgInfo> getAllByGhIdIn(Set<String> ghIdList);

}
