package com.tzld.longarticle.recommend.server.model.entity.aigc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "publish_content_output")
public class PublishContentOutput {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    private Long id;

    @Column(name = "publish_content_id", length = 64)
    private String publishContentId;

    @Column(name = "content_type", nullable = false)
    private Integer contentType;

    @Column(name = "source_output_id", length = 64)
    private String sourceOutputId;

    @Column(name = "group_id", length = 64)
    private String groupId;

    @Column(name = "output_from", columnDefinition = "int default 1")
    private Integer outputFrom = 1;

    @Column(name = "output", columnDefinition = "mediumtext", nullable = false)
    private String output;

    @Column(name = "output_ref_data", columnDefinition = "mediumtext")
    private String outputRefData;

    @Column(name = "`index`")
    private Integer index;

    @Column(name = "select_status")
    private Integer selectStatus;

    @Column(name = "require_word_num")
    private Integer requireWordNum;

    @Column(name = "require_word_operator", length = 20)
    private String requireWordOperator;

    @Column(name = "word_num")
    private Integer wordNum;

    @Column(name = "require_similarity_ratio", precision = 5, scale = 2)
    private BigDecimal requireSimilarityRatio;

    @Column(name = "require_similarity_operator", length = 20)
    private String requireSimilarityOperator;

    @Column(name = "similarity_ratio", precision = 6, scale = 2)
    private BigDecimal similarityRatio;

    @Column(name = "edit_account", length = 255)
    private String editAccount;

    @Column(name = "edit_timestamp")
    private Long editTimestamp;

    @Column(name = "edit_param", length = 2048)
    private String editParam;

    @Column(name = "create_timestamp", nullable = false)
    private Long createTimestamp;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;

}