package com.tzld.longarticle.recommend.server.model.entity.crawler;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Id;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "get_off_videos")
public class GetOffVideoCrawler {
    /**
     * 视频id
     */
    @Id
    @Column(name = "video_id", nullable = false, unique = true, columnDefinition = "bigint(16) COMMENT '视频id'")
    private Long videoId;

    /**
     * 视频发布时间
     */
    @Column(name = "publish_time", columnDefinition = "bigint(16) COMMENT '视频发布时间'")
    private Long publishTime;

    /**
     * 视频状态
     */
    @Column(name = "video_status", columnDefinition = "int(1) COMMENT '视频状态'")
    private Integer videoStatus;

    /**
     * 最终id
     */
    @Column(name = "trace_id", nullable = false, length = 128, columnDefinition = "varchar(128) COMMENT '最终id'")
    private String traceId;

    /**
     * 视频下架时间
     */
    @Column(name = "get_off_time", columnDefinition = "bigint(16) COMMENT '视频下架时间'")
    private Long getOffTime;

    /**
     * 校验状态
     */
    @Column(name = "check_status", nullable = false, columnDefinition = "int(1) DEFAULT '0' COMMENT '校验状态'")
    private Integer checkStatus = 0;
}
