package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "datastat_sort_strategy")
@IdClass(DatastatSortStrategy.PK.class)
public class DatastatSortStrategy implements Serializable {

    @Id
    private String dateStr;
    @Id
    private String publishTime;
    @Id
    private String accountName;
    @Id
    private Integer position;

    @Column(name = "type")
    private String type;
    @Column(name = "account_mode")
    private String accountMode;
    @Column(name = "account_source")
    private String accountSource;
    @Column(name = "account_type")
    private String accountType;
    @Column(name = "account_status")
    private String accountStatus;
    @Column(name = "bussiness_type")
    private String businessType;
    @Column(name = "strategy")
    private String strategy;
    @Column(name = "fans")
    private long fans;
    @Column(name = "view_count")
    private Integer viewCount;
    @Column(name = "avg_view_count")
    private Double avgViewCount;
    @Column(name = "first_view_count")
    private Integer firstViewCount;
    @Column(name = "first_avg_view_count")
    private Double firstAvgViewCount;
    @Column(name = "first_level")
    private Integer firstLevel;
    @Column(name = "fission0")
    private Integer fission0;
    @Column(name = "fission1")
    private Integer fission1;
    @Column(name = "fission2")
    private Integer fission2;
    @Column(name = "second_first_level")
    private Integer secondFirstLevel;
    @Column(name = "second_fission0")
    private Integer secondFission0;
    @Column(name = "second_fission1")
    private Integer secondFission1;
    @Column(name = "second_fission2")
    private Integer secondFission2;
    @Column(name = "third_first_level")
    private Integer thirdFirstLevel;
    @Column(name = "third_fission0")
    private Integer thirdFission0;
    @Column(name = "third_fission1")
    private Integer thirdFission1;
    @Column(name = "third_fission2")
    private Integer thirdFission2;
    @Column(name = "read_rate")
    private Double readRate = 0.0;
    @Column(name = "read_fans_rate")
    private Double readFansRate = 0.0;
    @Column(name = "first_read_rate")
    private Double firstReadRate = 0.0;
    @Column(name = "fission0_first_rate")
    private Double fission0FirstRate = 0.0;
    @Column(name = "fission1_fission0_rate")
    private Double fission1Fission0Rate = 0.0;
    @Column(name = "fission0_read_avg_rate")
    private Double fission0ReadAvgRate = 0.0;
    @Column(name = "his_read_rate")
    private Double hisReadRate = 0.0;
    @Column(name = "his_first_read_rate")
    private Double hisFirstReadRate = 0.0;
    @Column(name = "his_fission0_first_rate")
    private Double hisFission0FirstRate = 0.0;
    @Column(name = "gh_id")
    private String ghId;
    @Column(name = "account_create_timestamp")
    private Long accountCreateTimestamp;
    @Column(name = "title")
    private String title;
    @Column(name = "link")
    private String link;
    @Column(name = "wx_sn")
    private String wxSn;
    @Column(name = "publish_timestamp")
    private Long publishTimestamp;
    @Column(name = "fission0_read_avg_100_rate")
    private Double fission0ReadAvg100Rate = 0.0;
    @Column(name = "fission0_read_avg_500_rate")
    private Double fission0ReadAvg500Rate = 0.0;
    @Column(name = "fission0_read_avg_1000_rate")
    private Double fission0ReadAvg1000Rate = 0.0;
    @Column(name = "crawler_plan_name")
    private String crawlerPlanName;
    @Column(name = "crawler_plan_tag")
    private String crawlerPlanTag;
    @Column(name = "produce_plan_name")
    private String producePlanName;
    @Column(name = "produce_plan_tag")
    private String producePlanTag;
    @Column(name = "publish_plan_name")
    private String publishPlanName;
    @Column(name = "publish_mini_program_insert_strategy")
    private String publishMiniProgramInsertStrategy;
    @Column(name = "publish_mini_program_insert_use_type")
    private String publishMiniProgramInsertUseType;
    @Column(name = "publish_mini_program_num")
    private Integer publishMiniProgramNum;
    @Column(name = "source_produce_plan_name")
    private String sourceProducePlanName;
    @Column(name = "source_type")
    private Integer sourceType;
    @Column(name = "source_id")
    private String sourceId;


    @Data
    public static class PK implements Serializable {

        @Column(name = "date_str")
        private String dateStr;
        @Column(name = "publish_time")
        private String publishTime;
        @Column(name = "account_name")
        private String accountName;
        @Column(name = "position")
        private Integer position;

        public PK() {
        }


    }
}