package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "long_articles_match_videos")
public class LongArticlesMatchVideo {

    /**
     * 自增 id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    /**
     * 唯一追踪 id
     */
    @Column(name = "trace_id")
    private String traceId;

    /**
     * 文章 id
     */
    @Column(name = "content_id")
    private String contentId;

    /**
     * 流量池等级
     */
    @Column(name = "flow_pool_level")
    private String flowPoolLevel;

    /**
     * 公众号 Id
     */
    @Column(name = "gh_id")
    private String ghId;

    /**
     * 公众号名称
     */
    @Column(name = "account_name")
    private String accountName;

    /**
     * 内容状态
     * 0 - 还未匹配
     * 1 - kimi 执行完成
     * 2 - 爬虫执行完成
     * 3 - etl 执行完成
     * 4 - 发布完成已经获取 vid
     * 101 - 有一个进程正在处理这条记录
     * 99 - 处理失败
     */
    @Column(name = "content_status")
    private Integer contentStatus = 0;

    /**
     * 文章状态 id 的修改时间
     */
    @Column(name = "content_status_update_time")
    private Long contentStatusUpdateTime;

    /**
     * 是否请求成功, 1表示成功
     */
    @Column(name = "success_status")
    private Integer successStatus = 0;

    /**
     * 请求时间
     */
    @Column(name = "request_timestamp")
    private Long requestTimestamp;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 结果
     */
    @Lob
    @Column(name = "response")
    private String response;

    /**
     * 处理次数
     */
    @Column(name = "process_times")
    private Integer processTimes = 0;
}
