package com.tzld.longarticle.recommend.server.model.vo;

import lombok.Data;

import java.util.List;

/**
 * @author dyp
 */

@Data
public class RecommendWithUserGroupResponse {
    private int code;
    private String msg;
    private RecommendWithUserGroupData data;

    public RecommendWithUserGroupResponse(int code, String msg,
                                          RecommendWithUserGroupData data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    @Data
    public static class RecommendWithUserGroupData {
        private List<RankData> rankList;
        private List<FilterData> filterList;

        public RecommendWithUserGroupData(List<RankData> rankList, List<FilterData> filterList) {
            this.rankList = rankList;
            this.filterList = filterList;
        }
    }

    @Data
    public static class RankData {
        private Integer userGroupId;
        private List<String> contentIds;
    }

    @Data
    public static class FilterData {
        private String contentId;
        private String filterReason;
    }
}

