package com.tzld.longarticle.recommend.server.model.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

@Getter
@Setter
public class WxContentDetailResponse {
    private String channelContentId;
    private String title;
    private String bodyText;
    private Long publishTimestamp;
    private List<MiniProgram> miniProgram;
    private AdInfo adInfo;
    private Integer viewCount;
    private Integer likeCount;
    private Integer shareCount;

    public AdInfo getAdInfo() {
        if (Objects.isNull(adInfo)) {
            return new AdInfo();
        }
        return adInfo;
    }

    public List<MiniProgram> getMiniProgram() {
        if (Objects.isNull(miniProgram)) {
            return new ArrayList<>();
        }
        return miniProgram;
    }

    @Getter
    @Setter
    public static class AdInfo {
        @JSONField(name = "文中")
        private Integer middle;
        @JSONField(name = "文末")
        private Integer tail;
    }

    @Getter
    @Setter
    public static class MiniProgram {
        private String path;
    }
}
