package com.tzld.longarticle.recommend.server.repository.crawler;

import com.tzld.longarticle.recommend.server.model.entity.crawler.Article;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

@Repository
public interface ArticleRepository extends JpaRepository<Article, String> {

    List<Article> getByGhIdAndItemIndexInAndTypeEquals(String ghId, List<Integer> indexList, String type);

    List<Article> getByTitleMd5InAndTypeEqualsAndStatusEquals(List<String> titleList, String type, Integer status);

    List<Article> getByTitleInAndTypeEqualsAndStatusEquals(List<String> titleList, String type, Integer status);

    List<Article> getByGhIdInAndAppMsgIdInAndItemIndexAndTypeEqualsAndStatusEquals(Set<String> ghIds, Set<String> appMsgIds,
                                                                                   Integer itemIndex, String type, Integer status);

    List<Article> getByGhIdInAndPublishTimestampBetweenAndTypeEquals(List<String> ghIds, Long publishTimestampStart, Long publishTimestampEnd, String type);

    List<Article> getByGhIdInAndPublishTimestampGreaterThanAndTypeEquals(List<String> ghIds, Long publishTimestamp, String type);

    List<Article> getByGhIdInAndPublishTimestampLessThanAndTypeEquals(List<String> ghIds, Long publishTimestamp, String type);

    List<Article> getByPublishTimestampGreaterThanAndTypeEquals(Long publishTimestamp, String type);

    List<Article> getByGhIdAndItemIndexAndTypeEqualsAndStatusEquals(String ghId, Integer itemIndex, String type, Integer status);

    List<Article> getByChannelContentIdAndRootPublishContentIdIsNotNull(String channelContentId);

    Article getByWxSn(String wxSn);

    int countByGhIdAndTypeAndItemIndex(String ghId, String val, Integer itemIndex);

    List<Article> getByGhIdInAndUpdateTimeGreaterThanAndTypeEquals(List<String> ghIds, long l, String number);

    List<Article> getByTitleMd5(String titleMd5);

    List<Article> getByPublishTimestampGreaterThan(Long publishTimestamp);
}