package com.tzld.longarticle.recommend.server.repository.crawler;

import com.tzld.longarticle.recommend.server.model.entity.crawler.PublishSortLog;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PublishSortLogRepository extends JpaRepository<PublishSortLog, Long> {

    List<PublishSortLog> findByDateStr(String dateStr);

    List<PublishSortLog> findByDateStrGreaterThanEqual(String dateStr);

    List<PublishSortLog> findByDateStrAndTitleIn(String dateStr, List<String> titles);

    List<PublishSortLog> findByCrawlerChannelContentIdIn(List<String> crawlerChannelContentIds);

    List<PublishSortLog> findByGhIdInAndDateStrBetween(List<String> ghIds, String dateStrStart, String dateStrEnd);

    List<PublishSortLog> findByGhIdInAndDateStrGreaterThanEqual(List<String> ghIds, String dateStr);

    List<PublishSortLog> findByStrategyInAndDateStrGreaterThanEqual(List<String> strategies, String dateStr);

    List<PublishSortLog> findByDateStrIn(List<String> dateStrList);

    List<PublishSortLog> findByDateStrAndGhId(String dateStr, String ghId);

    List<PublishSortLog> getByGhIdInAndDateStrIn(List<String> ghIds, List<String> dateStr);
}
