package com.tzld.longarticle.recommend.server.service.recommend.config;

import com.ctrip.framework.apollo.spring.annotation.ApolloJsonValue;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;
import java.util.Objects;

@Component
@Slf4j
public class StrategyIndexScoreWeightService {

    @ApolloJsonValue("${strategyAccountIndexScoreWeightConfig:{}}")
    private Map<String, Map<String, Map<String, Map<String, Double>>>> strategyAccountIndexScoreWeightMap;

    public double getWeight(String strategy, String ghId, Integer index, String score) {
        Double weight = 1.0;
        Map<String, Map<String, Map<String, Double>>> accountMap = strategyAccountIndexScoreWeightMap.get(strategy);
        if (Objects.nonNull(accountMap)) {
            if (!accountMap.containsKey(ghId)) {
                ghId = "default";
            }
            Map<String, Map<String, Double>> indexMap = accountMap.get(ghId);
            if (Objects.nonNull(indexMap)) {
                Map<String, Double> scoreMap = indexMap.get(String.valueOf(index));
                if (Objects.nonNull(scoreMap) && scoreMap.containsKey(score)) {
                    weight = scoreMap.get(score);
                }
            }
        }
        return weight;
    }

    public int getIndex(String contentPoolType, String[] contentPools) {
        int index;
        if (contentPoolType.equals(contentPools[0])) {
            index = 1;
        } else if (contentPoolType.equals(contentPools[1])) {
            index = 2;
        } else {
            index = 3;
        }
        return index;
    }
}
