package com.tzld.longarticle.recommend.server.service.recommend.score.strategy;

import com.tzld.longarticle.recommend.server.model.dto.Content;
import com.tzld.longarticle.recommend.server.service.recommend.config.AccountIndexAvgViewCountService;
import com.tzld.longarticle.recommend.server.service.recommend.score.Score;
import com.tzld.longarticle.recommend.server.service.recommend.score.ScoreParam;
import com.tzld.longarticle.recommend.server.service.recommend.score.ScoreStrategy;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
@Slf4j
public class HisFissionFansSumRateStrategy implements ScoreStrategy {

    @Autowired
    AccountIndexAvgViewCountService accountIndexAvgViewCountService;

    @Override
    public List<Score> score(ScoreParam param) {
        long start = System.currentTimeMillis();
        List<Score> scores = new ArrayList<>();
        for (Content content : param.getContents()) {
            if (CollectionUtils.isEmpty(content.getHisPublishArticleList())) {
                continue;
            }
            Score score = new Score();
            score.setStrategy(this);
            score.setContentId(content.getId());
            score.setScore(content.getT0FissionByFansSumAvg());
            scores.add(score);
        }
        return scores;
    }
}
