package com.tzld.longarticle.recommend.server.web;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.AccessTokenParam;
import com.tzld.longarticle.recommend.server.model.param.CallbackParam;
import com.tzld.longarticle.recommend.server.model.param.PushMessageParam;
import com.tzld.longarticle.recommend.server.model.vo.AccessTokenVo;
import com.tzld.longarticle.recommend.server.model.vo.PushMessageVo;
import com.tzld.longarticle.recommend.server.model.vo.ReportUvVo;
import com.tzld.longarticle.recommend.server.mq.MessageCallbackProducer;
import com.tzld.longarticle.recommend.server.service.exterior.AccessTokenService;
import com.tzld.longarticle.recommend.server.service.exterior.ThirdPartyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/3rdParty")
public class ThirdPartyController {

    @Autowired
    private AccessTokenService accessTokenService;

    @Autowired
    private ThirdPartyService thirdPartyService;

    @Autowired
    private MessageCallbackProducer messageCallbackProducer;

    @PostMapping("/accessToken/get")
    public CommonResponse<AccessTokenVo> getAccessToken(@RequestBody AccessTokenParam param) {
        return accessTokenService.getAccessToken(param);
    }

    @PostMapping("/pushMessage/get")
    public CommonResponse<List<PushMessageVo>> getPushMessage(@RequestBody PushMessageParam param) {
        return thirdPartyService.getPushMessage(param);
    }

    @PostMapping("/pushMessage/callback")
    public CommonResponse<Void> pushMessageCallback(@RequestBody CallbackParam param) {
        return messageCallbackProducer.sendMessage(param);
    }

    @GetMapping("/report/uv")
    public CommonResponse<List<ReportUvVo>> getReportUv(@RequestParam String date, @RequestParam String accessToken) {
        return thirdPartyService.getReportUv(date, accessToken);
    }
}
