package com.tzld.longarticle.recommend.server.web;

import com.tzld.longarticle.recommend.server.model.Result;
import com.tzld.longarticle.recommend.server.service.UserManagementService;
import com.tzld.longarticle.recommend.server.service.WXListenService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author dyp
 */
@RestController
@Slf4j
@RequestMapping("/user")
public class UserManagementController {
    @Autowired
    private UserManagementService userManagementService;

    @Autowired
    private WXListenService wxListenService;


    @RequestMapping("/addGZH")
    public String addGZH(@RequestParam(name = "gzhId") String gzhId,
                         @RequestParam(name = "appId") String appId,
                         @RequestParam(name = "groupNum") int groupNum) {
        userManagementService.addGZH(gzhId, appId, groupNum);
        return "success";
    }

    @RequestMapping("/listByUserGroupId")
    public String list(@RequestParam(name = "gzhId") String gzhId,
                       @RequestParam(name = "userGroupId") int userGroupId) {
        List<String> openIds = userManagementService.listByUserGroupId(gzhId, userGroupId);

        return Result.success(openIds);
    }

    /**
     * 微信关注/取消事件监听
     */
    @RequestMapping("/listenWx")
    public String listenWx(@RequestBody String xmlData) {
        wxListenService.listenWx(xmlData);
        return "success";
    }

}
