package com.tzld.longarticle.recommend.server.web;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.AccessTokenParam;
import com.tzld.longarticle.recommend.server.model.param.CallbackParam;
import com.tzld.longarticle.recommend.server.model.param.PushMessageParam;
import com.tzld.longarticle.recommend.server.model.param.WeComPushMessageParam;
import com.tzld.longarticle.recommend.server.model.vo.AccessTokenVo;
import com.tzld.longarticle.recommend.server.model.vo.PushMessageVo;
import com.tzld.longarticle.recommend.server.model.vo.WeComPushMessageVo;
import com.tzld.longarticle.recommend.server.mq.MessageCallbackProducer;
import com.tzld.longarticle.recommend.server.service.exterior.AccessTokenService;
import com.tzld.longarticle.recommend.server.service.exterior.ThirdPartyService;
import com.tzld.longarticle.recommend.server.service.exterior.WeComService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/wecom")
public class WeComController {


   @Autowired
   private WeComService weComService;


    @PostMapping("/pushMessage/get")
    public CommonResponse<List<WeComPushMessageVo>> getPushMessage(@RequestBody WeComPushMessageParam param) {
        log.info("param={}", param);
        return weComService.getPushMessage(param);
    }

}