package com.tzld.longarticle.recommend.server.web.recommend;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.ArticleCategoryListParam;
import com.tzld.longarticle.recommend.server.model.param.ArticleCategoryUpdateParam;
import com.tzld.longarticle.recommend.server.model.vo.ArticleCategoryListVO;
import com.tzld.longarticle.recommend.server.service.recommend.ArticleCategoryService;
import com.tzld.longarticle.recommend.server.util.page.Page;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/internal/articleCategory")
@Slf4j
public class ArticleCategoryController {

    @Autowired
    private ArticleCategoryService service;

    @PostMapping("/list")
    public CommonResponse<Page<ArticleCategoryListVO>> articleCategoryList(@RequestBody ArticleCategoryListParam param) {
        return CommonResponse.success(service.articleCategoryList(param));
    }

    @PostMapping("/updateCategory")
    public CommonResponse<Void> articleCategoryUpdate(@RequestBody ArticleCategoryUpdateParam param) {
        service.articleCategoryUpdate(param);
        return CommonResponse.success();
    }
}
