package com.tzld.longarticle.recommend.server;

import com.tzld.longarticle.recommend.server.mapper.aigc.AigcBaseMapper;
import com.tzld.longarticle.recommend.server.mapper.longArticle.LongArticleBaseMapper;
import com.tzld.longarticle.recommend.server.model.entity.aigc.PublishAccount;
import com.tzld.longarticle.recommend.server.remote.WxAccessTokenRemoteService;
import com.tzld.longarticle.recommend.server.remote.WxArticleDeleteService;
import com.tzld.longarticle.recommend.server.repository.aigc.PublishAccountRepository;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.List;

@SpringBootTest(classes = Application.class)
public class WxApiTest {

    @Resource
    private LongArticleBaseMapper longArticleBaseMapper;
    @Resource
    private PublishAccountRepository publishAccountRepository;
    @Resource
    private WxAccessTokenRemoteService wxAccessTokenRemoteService;
    @Resource
    private WxArticleDeleteService wxArticleDeleteService;

    @Test
    public void clearQuotaTest() {
        List<String> ghIds = longArticleBaseMapper.getDisAuditDeleteGhid();
        List<PublishAccount> publishAccountList = publishAccountRepository.getAllByGhIdIn(ghIds);
        for (PublishAccount publishAccount : publishAccountList) {
            String token = wxAccessTokenRemoteService.getAccessToken(publishAccount.getGhId());
            wxArticleDeleteService.clearQuota(token, publishAccount.getAppId());
        }
    }
}
